> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fixed Server interface for Model execution by named alias



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/serving/{model_server_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/serving/{model_server_id}:
    get:
      summary: Fixed Server interface for Model execution by named alias
      operationId: GET-V4-/v4/serving/{model_server_id}
      parameters:
        - name: model_server_id
          in: path
          required: true
          schema:
            type: string
            title: Model Server Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelServerInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            model_server_info = client.model_servers.retrieve(
                "model_server_id",
            )
            print(model_server_info.account_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tmodelServerInfo, err := client.ModelServers.Get(context.TODO(), \"model_server_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", modelServerInfo.AccountID)\n}\n"
components:
  schemas:
    ModelServerInfo:
      properties:
        name:
          type: string
          title: Name
        model_server_id:
          type: string
          title: Model Server Id
        model_deployment_id:
          title: Model Deployment Id
          type: string
        account_id:
          type: string
          title: Account Id
        alias:
          title: Alias
          type: string
      type: object
      required:
        - name
        - model_server_id
        - account_id
      title: ModelServerInfo
      description: >-
        Model server information.

        name: The name of the model server. Only used for display purposes.

        model_server_id: The ID of the model server.

        model_deployment_id: The ID of the model deployment being used as the
        backend.

        account_id: The ID of the account that owns the model server.

        alias: An alias for the model server. If configured the model server can
        be accessed via the alias instead of the model server ID. i.e
        /models/server/alias/{alias}/execute
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````